com.mapinfo.midev.index.rtree

## Interface IRTreeHelper

All Known Implementing Classes:
  RamBasedHelper

    public interface IRTreeHelper

This interface provides access to the contents of the RTree structure.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clear()` Clears the tree of all contents.
`IRTreeNode` `createNode()` Creates a new node for the tree.
`void` `deleteNode(IRTreeNode node)` Removes a node from the tree when it is no longer needed.
`int` `getMaxNodeCapacity()` Returns the maximum number of children a node may have.
`int` `getMinNodeCapacity()` Returns the minimum number of children a node may have.
`IRTreeNode` `getRootNode()` Returns the root node of the RTree.
`void` `setAsRootNode(IRTreeNode node)` Changes the root node of the tree.

### Method Detail

#### getRootNode

    IRTreeNode getRootNode()

Returns the root node of the RTree.

Returns:
  the root node of the RTree.

#### setAsRootNode

    void setAsRootNode(IRTreeNode node)

Changes the root node of the tree.

Parameters:
  `node` - The node that should be the new root of the tree.

#### createNode

    IRTreeNode createNode()

Creates a new node for the tree.

Returns:
  a new node for the tree.

#### deleteNode

    void deleteNode(IRTreeNode node)

Removes a node from the tree when it is no longer needed. This call does not alter the children of the deleted node or the the parent of the deleted node. Alterations in the structure of the tree must be made on the node objects themselves.

Parameters:
  `node` - The node to remove.

#### getMaxNodeCapacity

    int getMaxNodeCapacity()

Returns the maximum number of children a node may have.

Returns:
  The maximum number of children a node may have.

#### getMinNodeCapacity

    int getMinNodeCapacity()

Returns the minimum number of children a node may have.

Returns:
  The minimum number of children a node may have.

#### clear

    void clear()

Clears the tree of all contents.